Extending Qt Creator Manual | WorkerFactory

Extending Qt Creator Manual 4.5.2

# WorkerFactory Class

(ProjectExplorer::RunControl::WorkerFactory)

- List of all members, including inherited members

## Public Functions

| WorkerFactory(const Core::Id &mode, Constraint constr, const WorkerCreator &prod, int prio = 0)
bool | canRun(RunConfiguration *runConfiguration, Core::Id runMode) const

## Member Function Documentation

### WorkerFactory::WorkerFactory(const Core::Id &mode, Constraint constr, const WorkerCreator &prod, int prio = 0)

Default constructs an instance of WorkerFactory.

### bool WorkerFactory::canRun(RunConfiguration *runConfiguration, Core::Id runMode) const